org.crosswire.bibledesktop.passage

## Class KeyChangeEvent

- java.lang.Object
- - java.util.EventObject
  - - org.crosswire.bibledesktop.passage.KeyChangeEvent

- All Implemented Interfaces:
    Serializable

      public class KeyChangeEvent
      extends EventObject

  A KeyChangeEvent happens whenever a user changes a key.
  Author:
    DM Smith
  See Also:
    `for license details.`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private org.crosswire.jsword.passage.Key` | `key` The new key
    `private static long` | `serialVersionUID` Serialization ID

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyChangeEvent(Object source, org.crosswire.jsword.passage.Key key)` For when a key has been changed

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.crosswire.jsword.passage.Key` | `getKey()` Get the key with its changes

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### key

          private org.crosswire.jsword.passage.Key key

      The new key

    - #### serialVersionUID

          private static final long serialVersionUID

      Serialization ID
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### KeyChangeEvent

          public KeyChangeEvent(Object source,
                        org.crosswire.jsword.passage.Key key)

      For when a key has been changed
      Parameters:
        `source` - The thing that started this off
        `key` - The selected Key

  - ### Method Detail

    - #### getKey

          public org.crosswire.jsword.passage.Key getKey()

      Get the key with its changes
      Returns:
        the changed key